1. Appointments
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patterns
    • Support and technical support
  • CRM
    • Properties
      • List customer types
      • List properties
      • Properties
      • Customers
      • Companies
      • Work addresses
      • Customers
      • Companies
      • Work addresses
      • Properties
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Assets
      • Understanding assets
      • List asset groups
      • List asset types
      • Asset structure
      • Assets dynamic fields
      • List assets
      • Assets
      • Assets
      • Assets
      • Assets
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
      • Scheduled activities
    • Files
      • List files
      • File tags
      • Files
      • Files
    • Search
      GET
  • Sales
    • Opportunities
      • List opportunity pipelines
      • List opportunity stages
      • List opportunities
      • Opportunities
      • Opportunity tags
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List job description templates
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Actions
      • Change job stage
      • Put on hold
      • Remove on hold
      • Mark as complete
      • Mark as uncompleted
      • Mark as free of charge
      • Mark as aborted
    • Forms
      • List forms
  • Schedule & dispatch
    • Appointments
      • List Appointments
        GET
      • Appointments
        GET
      • Appointments feedbacks
        GET
      • Appointments
        POST
      • Appointments
        DELETE
    • Sugested Appointments
      • Suggested Appointments
  • Users & Vehicles
    • Users
      • List users
  • Settings
    • List titles
    • List advertising types
    • List telephone types
    • List business units
    • List user groups
    • List provinces
  • Webhooks
    • Webhooks
    • Example PHP script
  1. Appointments

Appointments

POST
/appointments

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples

Responses

🟢201Success
application/json
Bodyapplication/json

🟠429429 Too many requests
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/appointments' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "parentType": "estimate",
    "parentID": 62,
    "date": "2027-01-20",
    "hasTime": false,
    "timeSlot": "am",
    "startTime": "2026-10-13T20:22:56.904Z",
    "endTime": "2026-10-14T10:00:46.993Z",
    "description": "Defluo deleo xiphias nemo civis caecus. Crinis video utrum cattus votum aer adamo earum.",
    "notes": "in dolor ex eu elit",
    "assigneeUserID": 2,
    "isRecurringEvent": true,
    "recurringEventDetails": {
        "repeatType": "Weekly",
        "repeatsEvery": "1",
        "repeatsOn": "1,3,5",
        "occurrences": "5"
    }
}'
Response Response Example
201 - Example 1
{
    "type": "enim consequat",
    "description": "Cursim cedo patior celer decimus quam audax. Fugiat tabella cervus baiulus cras sonitus vis curatio tergum. Valens comparo tracto truculenter sit assumenda solus balbus utor nam. Tamdiu tardus turbo tricesimus thymbra thema quae. Tres doloremque capitulus undique decerno altus deludo copiose vilitas.",
    "notes": "do in nisi",
    "startDate": "2027-09-22",
    "endDate": "2027-03-06",
    "actualTime": 38145393,
    "isRecurringEvent": false,
    "repeatType": "Weekly",
    "repeatsEvery": "Month",
    "repeatsOn": "6",
    "occurrences": "in aute mollit tempor",
    "assignedTo": {
        "userID": 4,
        "name": "Merle Grimes",
        "profilePicture": "https://loremflickr.com/400/400?lock=4041998712380673"
    },
    "customerContactID": 81,
    "siteContactID": 63,
    "propertyID": 71,
    "engineerID": 42
}
Modified at 2026-10-30 07:25:25
Previous
Appointments feedbacks
Next
Appointments
Built with